> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an organization

> Get a specific organization



## OpenAPI

````yaml get /v1/core/organizations/{id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/core/organizations/{id}:
    get:
      summary: Get an organization
      description: Get a specific organization
      parameters:
        - schema:
            type: string
            description: Organization ID
          required: true
          description: Organization ID
          name: id
          in: path
      responses:
        '200':
          description: Get an organization
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Organization ID
                  adminUids:
                    type: array
                    items:
                      type: string
                    description: Admin IDs
                  betaFeatures:
                    type: array
                    items:
                      type: string
                    description: Beta features
                  consentNotRequired:
                    type: boolean
                    description: If consent is not required
                  dateCreated:
                    type: string
                    format: date-time
                    description: "The date at which this organization was created.\n\t\t\t\tFormat: ISO 8601 timestamp (YYYY-MM-DDTHH:mm:ss.sssZ). \n\t\t\t\tExample: 2024-06-13T04:00:00.592Z"
                  disabled:
                    type: boolean
                    description: If this organization is disabled
                  industries:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Industry ID
                        name:
                          type: string
                          description: Name of this industry
                        description:
                          type: string
                          description: Industry description
                      required:
                        - id
                        - name
                    description: Industries
                  integrations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Integration ID
                        name:
                          type: string
                          description: Name of this integration
                        externalAccountId:
                          type: string
                          description: External Account ID
                        integrationPlatform:
                          type: string
                          enum:
                            - MERGE
                            - SIRO_CUSTOM_INPUT
                            - SERVICE_TITAN
                            - COMPANY_CAM
                            - INGAGE
                            - LEAD_PERFECTION
                            - SPOTIO
                          description: Integration platform
                        createdAt:
                          type: string
                          format: date-time
                          description: "The date at which this integration was created.\n\t\t\t\tFormat: ISO 8601 timestamp (YYYY-MM-DDTHH:mm:ss.sssZ). \n\t\t\t\tExample: 2024-06-13T04:00:00.592Z"
                        updatedAt:
                          type: string
                          format: date-time
                          description: "The date at which this integration was updated.\n\t\t\t\tFormat: ISO 8601 timestamp (YYYY-MM-DDTHH:mm:ss.sssZ). \n\t\t\t\tExample: 2024-06-13T04:00:00.592Z"
                        deletedAt:
                          type: string
                          format: date-time
                          description: "The date at which this integration was deleted.\n\t\t\t\tFormat: ISO 8601 timestamp (YYYY-MM-DDTHH:mm:ss.sssZ).\n\t\t\t\tExample: 2024-06-13T04:00:00.592Z"
                        isActive:
                          type: boolean
                          description: If this integration is currently active
                      required:
                        - id
                        - name
                        - externalAccountId
                        - integrationPlatform
                        - createdAt
                        - updatedAt
                        - deletedAt
                        - isActive
                    description: Integrations
                  name:
                    type: string
                    description: Name of this organization
                  ownerUid:
                    type: string
                    description: Owner ID
                  teams:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Team ID
                        name:
                          type: string
                          description: Name of this team
                        coachUids:
                          type: array
                          items:
                            type: string
                          description: IDs of coaches
                        memberUids:
                          type: array
                          items:
                            type: string
                          description: IDs of members
                      required:
                        - id
                        - name
                        - coachUids
                        - memberUids
                    description: Teams
                required:
                  - id
                  - industries
                  - integrations
                  - teams
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````